Bug 1247461 - Could not create application using xpass-template
Could not create application using xpass-template
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image (Show other bugs)
3.0.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ben Parees
Gaoyun Pei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 00:46 EDT by Wei Sun
Modified: 2015-11-23 09:44 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:44:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker CLOUD-191 Major Closed templates use wrong GitHub capitalization for trigger type value 2016-10-25 06:01 EDT

  None (edit)
Description Wei Sun 2015-07-28 00:46:54 EDT
Description of problem:
Log in web console,try to create application using xpass-template on web console.Such as try to create application using eap6-amq-persistent-sti template,but could not create the application successfully for the error "Cannot create BuildConfig eap-app. BuildConfig "eap-app" is invalid: [triggers[0].type: invalid value 'Github': invalid trigger type, spec.source.git.uri: required value]"

Version-Release number of selected component (if applicable):
 openshift version
openshift v3.0.1.0-503-g7cc6deb
kubernetes v1.0.0


How reproducible:
Always

Steps to Reproduce:
1.Log in web console
2.Create a project
3.Create an application using eap6-amq-persistent-sti  template

Actual results:
3.Failed to create the application for the error "Cannot create BuildConfig eap-app. BuildConfig "eap-app" is invalid: [triggers[0].type: invalid value 'Github': invalid trigger type, spec.source.git.uri: required value]"

Expected results:
Could create the application successfully

Additional info:
Comment 2 Brenton Leanhardt 2015-07-28 08:30:27 EDT
All the xpaas templates seem to be setting up a Github trigger the same way.  Can you check if they are correct?
Comment 3 Ben Parees 2015-07-28 08:36:07 EDT
The value needs to be either "github" or "GitHub" and not "Github"

https://github.com/openshift/origin/blob/master/pkg/build/api/types.go#L376-L389

assigning to Rob who can fix the original templates, but, Scott, if we're shipping a copy maybe we can fix our copy in the meantime?
Comment 4 Brenton Leanhardt 2015-07-28 08:41:56 EDT
I'll update ansible and ship it for the installer.
Comment 5 Brenton Leanhardt 2015-07-28 08:49:37 EDT
https://github.com/openshift/openshift-ansible/pull/398
Comment 6 Brenton Leanhardt 2015-07-28 09:06:23 EDT
Sun Wei, I've updated the master branch of our ansible repo and pushed the change to install.openshift.com.  Would you mind testing once again?
Comment 7 Wei Sun 2015-07-28 21:12:58 EDT
Try to test this bug using the latest env,still could not create the application using xpass templates.Now the error is :

Cannot create BuildConfig eap-app. BuildConfig "eap-app" is invalid: spec.source.git.uri: required value

Cannot create BuildConfig jws-app. BuildConfig "jws-app" is invalid: spec.source.git.uri: required value
Comment 8 Brenton Leanhardt 2015-07-29 09:12:40 EDT
In the BuildConfig spec I see:

                "source": {
                    "type": "Git",
                    "git": {
                        "uri": "${GIT_URI}",
                        "ref": "${GIT_REF}"
                    },
                    "contextDir":"${GIT_CONTEXT_DIR}"
                },

In the template parameters I see:
        {   
            "description": "Git source URI for application",
            "name": "GIT_URI"
        },

Is this how it's supposed to be done?
Comment 9 Ben Parees 2015-07-29 10:27:12 EDT
In this case "yes", there is no default URI being provided for those templates.  you need to supply the URI of a jee repo that can be built for the GIT_URI parameter.

this one should work:
https://github.com/bparees/openshift-jee-sample

we will be trying to update the templates to all have valid URIs by default, but for now this is working correctly.
Comment 10 Ben Parees 2015-07-29 21:47:33 EDT
fixing the actual templates here:
https://github.com/jboss-openshift/application-templates/pull/27
Comment 11 Wei Sun 2015-07-29 22:56:57 EDT
Now could create the application using  templates if I edit some parameters.
So verified this bug.

# openshift version
openshift v3.0.1.0-503-g7cc6deb
kubernetes v1.0.0
Comment 12 JBoss JIRA Server 2015-08-03 12:57:18 EDT
Rob Cernich <rcernich@redhat.com> updated the status of jira CLOUD-191 to Resolved
Comment 13 JBoss JIRA Server 2015-10-01 10:28:31 EDT
Kevin Conner <kevin.conner@jboss.com> updated the status of jira CLOUD-191 to Closed

Note You need to log in before you can comment on or make changes to this bug.